1

I am getting the following error after running a yum update which failed and then running yum-complete-transaction:

Skipping the running kernel: kernel-2.6.32-531.29.2.lve1.3.11.1.el6.x86_64
--> Processing Dependency: /bin/sh for package: kernel-2.6.32-531.29.2.lve1.3.11.1.el6.x86_64
Skipping the running kernel: kernel-2.6.32-531.29.2.lve1.3.11.1.el6.x86_64
--> Restarting Dependency Resolution with new changes.
Error: Depsolving loop limit reached.
Error: Package: python-pip-7.1.0-1.el6.noarch (epel)
           Requires: python(abi) = 2.6
           Removing: python-2.6.6-52.el6.x86_64 (@updates)
               python(abi) = 2.6
Error: Package: python-pip-7.1.0-1.el6.noarch (epel)
           Requires: python-setuptools
           Removing: python-setuptools-0.6.10-3.el6.noarch (@cloudlinux-x86_64-server-6)
               python-setuptools = 0.6.10-3.el6
Error: Package: python-pip-7.1.0-1.el6.noarch (epel)
           Requires: /usr/bin/python
           Removing: python-2.6.6-52.el6.x86_64 (@updates)
               Not found
 You could try using --skip-broken to work around the problem
** Found 4 pre-existing rpmdb problem(s), 'yum check' output follows:
cloudlinux-release-6-6.7.0.x86_64 is a duplicate with cloudlinux-release-6-6.6.0.x86_64
glibc-2.12-1.166.el6_7.1.x86_64 is a duplicate with glibc-2.12-1.149.el6_6.9.i686
glibc-2.12-1.166.el6_7.1.x86_64 has missing requires of glibc-common = ('0', '2.12', '1.166.el6_7.1')
libgcc-4.4.7-16.el6.x86_64 is a duplicate with libgcc-4.4.7-11.el6.x86_64

Output of yum repolist

Loaded plugins: fastestmirror, rhnplugin
Loading mirror speeds from cached hostfile
 * cloudlinux-x86_64-server-6: ams-proxy.cl-mirror.net
 * epel: epel.mirrors.ovh.net
repo id                                                                                                repo name                                                                                                                   status
cloudlinux-x86_64-server-6                                                                             CloudLinux Server 6 x86_64                                                                                                  28,463+765
epel                                                                                                   Extra Packages for Enterprise Linux 6 - x86_64                                                                              11,079+693
modcloudflare                                                                                          mod_cloudflare Packages                                                                                                              1
repolist: 39,543

Output of yum-complete-transaction:

---------omitted lines above-----------
--> Restarting Dependency Resolution with new changes.
--> Running transaction check
--> Finished Dependency Resolution
Error: Trying to remove "yum", which is protected
 You could try using --skip-broken to work around the problem
** Found 7 pre-existing rpmdb problem(s), 'yum check' output follows:
chkconfig-1.3.49.3-5.el6.x86_64 is a duplicate with chkconfig-1.3.49.3-2.el6_4.1.x86_64
cloudlinux-release-6-6.7.0.x86_64 is a duplicate with cloudlinux-release-6-6.6.0.x86_64
glibc-2.12-1.166.el6_7.1.i686 is a duplicate with glibc-2.12-1.149.el6_6.9.i686
glibc-2.12-1.166.el6_7.1.i686 has missing requires of glibc-common = ('0', '2.12', '1.166.el6_7.1')
glibc-2.12-1.166.el6_7.1.x86_64 has missing requires of glibc-common = ('0', '2.12', '1.166.el6_7.1')
libcom_err-1.41.12-22.el6.x86_64 is a duplicate with libcom_err-1.41.12-21.el6.x86_64
libgcc-4.4.7-16.el6.x86_64 is a duplicate with libgcc-4.4.7-11.el6.x86_64

package-cleanup --dupes shows:

Loaded plugins: fastestmirror, rhnplugin
cloudlinux-release-6-6.7.0.x86_64
cloudlinux-release-6-6.6.0.x86_64
libcom_err-1.41.12-22.el6.x86_64
libcom_err-1.41.12-21.el6.x86_64
chkconfig-1.3.49.3-5.el6.x86_64
chkconfig-1.3.49.3-2.el6_4.1.x86_64
libgcc-4.4.7-16.el6.x86_64
libgcc-4.4.7-11.el6.x86_64
glibc-2.12-1.149.el6_6.9.i686
glibc-2.12-1.166.el6_7.1.i686

package-cleanup --cleandupes wants to remove loads of packages, 302M in total.

Duplicates error:

root@server [~]# rpm -e --justdb --nodeps chkconfig-1.3.49.3-2.el6_4.1.x86_64
root@server [~]# yum reinstall chkconfig-1.3.49.3-5.el6.x86_64
Loaded plugins: fastestmirror, rhnplugin
Setting up Reinstall Process
Loading mirror speeds from cached hostfile
 * cloudlinux-x86_64-server-6: ams-proxy.cl-mirror.net
Resolving Dependencies
There are unfinished transactions remaining. You might consider running yum-complete-transaction first to finish them.
--> Running transaction check
---> Package chkconfig.x86_64 0:1.3.49.3-5.el6 will be reinstalled
--> Finished Dependency Resolution

Dependencies Resolved

========================================================================================================================================================================
 Package                            Arch                            Version                                   Repository                                           Size
========================================================================================================================================================================
Reinstalling:
 chkconfig                          x86_64                          1.3.49.3-5.el6                            cloudlinux-x86_64-server-6                          159 k

Transaction Summary
========================================================================================================================================================================
Reinstall     1 Package(s)

Total size: 159 k
Installed size: 0
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
Running Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing : chkconfig-1.3.49.3-5.el6.x86_64                                                                                                                      1/1
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/yum/rpmtrans.py", line 429, in callback
    self._instCloseFile(  bytes, total, h )
  File "/usr/lib/python2.6/site-packages/yum/rpmtrans.py", line 506, in _instCloseFile
    self.base.history.trans_data_pid_end(pid, state)
  File "/usr/lib/python2.6/site-packages/yum/history.py", line 867, in trans_data_pid_end
    """, ('TRUE', self._tid, pid, state))
  File "/usr/lib/python2.6/site-packages/yum/sqlutils.py", line 168, in executeSQLQmark
    return cursor.execute(query, params)
sqlite3.OperationalError: unable to open database file
error: python callback <bound method RPMTransaction.callback of <yum.rpmtrans.RPMTransaction instance at 0x1e2af38>> failed, aborting!

Any help in the right direction would be great.

  • you should probably include yum repolist in your question, but it sounds like some of packages are conflicting between different repos. – alexus Aug 20 '15 at 14:13
  • Try this, then this, then this. Post the results. – Michael Hampton Aug 20 '15 at 15:06
  • 2
    Someone interrupted a very large update (maybe the 6.6-6.7 update). Run package-cleanup --cleandupes to begin cleaning it up. After it finishes, you might run yum reinstall "*" to reinstall a fresh copy of everything that's supposed to be installed. But this is a serious mess, and you should consider the possibility you will have to reinstall the server from scratch. – Michael Hampton Aug 20 '15 at 18:00

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.